curl --request GET \
--url https://services.leadconnectorhq.com/calendars/{calendarId}/notifications \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'[
{
"_id": "<string>",
"receiverType": "contact",
"additionalEmailIds": [
"example1@email.com",
"example2@email.com"
],
"additionalPhoneNumbers": [
"+919876744444",
"+919876744445"
],
"channel": "email",
"notificationType": "confirmation",
"isActive": true,
"additionalWhatsappNumbers": [
"+919876744444",
"+919876744445"
],
"templateId": "0as9d8as0d",
"body": "This is a test notification",
"subject": "Test Notification",
"afterTime": [
{
"timeOffset": 1,
"unit": "hours"
}
],
"beforeTime": [
{
"timeOffset": 1,
"unit": "hours"
}
],
"selectedUsers": [
"user1",
"user2"
],
"deleted": false
}
]Get calendar notifications based on query
curl --request GET \
--url https://services.leadconnectorhq.com/calendars/{calendarId}/notifications \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'[
{
"_id": "<string>",
"receiverType": "contact",
"additionalEmailIds": [
"example1@email.com",
"example2@email.com"
],
"additionalPhoneNumbers": [
"+919876744444",
"+919876744445"
],
"channel": "email",
"notificationType": "confirmation",
"isActive": true,
"additionalWhatsappNumbers": [
"+919876744444",
"+919876744445"
],
"templateId": "0as9d8as0d",
"body": "This is a test notification",
"subject": "Test Notification",
"afterTime": [
{
"timeOffset": 1,
"unit": "hours"
}
],
"beforeTime": [
{
"timeOffset": 1,
"unit": "hours"
}
],
"selectedUsers": [
"user1",
"user2"
],
"deleted": false
}
]Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-04-15 Number of records to return
Number of records to skip
Successful response
Notification ID
contact, guest, assignedUser, emails, phoneNumbers, business "contact"
["example1@email.com", "example2@email.com"]["+919876744444", "+919876744445"]email, inApp, sms, whatsapp "email"
booked, confirmation, cancellation, reminder, followup, reschedule "confirmation"
true
["+919876744444", "+919876744445"]"0as9d8as0d"
"This is a test notification"
"Test Notification"
Show child attributes
[{ "timeOffset": 1, "unit": "hours" }]Show child attributes
[{ "timeOffset": 1, "unit": "hours" }]["user1", "user2"]false
Was this page helpful?